BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0

Implemented by classes that support the use of an enumerator over a dictionary (i.e., a collection of objects).

contains members that get the properties of objects.

For detailed information regarding the use of an enumerator, see .

- Property
  System.Collections.DictionaryEntry

  Gets the in the collection over which the current instance is positioned.

  The in the collection over which the current instance is positioned.

  This property is read-only.

  It is required that a call to leave the position of the enumerator unchanged: consecutive calls to this property are required to return the same until or is called.

  Use to get the same data that would be provided by a call to . Because this property is a , boxing is not required as it is for ; therefore, for this operation, has reduced overhead compared to .

  The is positioned before the first element of the dictionary or after the last element.

  -or-

  The dictionary was modified after the was created.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Object

  Gets the of the in the collection over which the current instance is positioned.

  A that contains the of the in the collection over which the current instance is positioned.

  This property is read-only.

  It is required that reading leave the position of the enumerator unchanged: consecutive calls to this property are required to return the same until or is called.

  The is positioned before the first element of the dictionary or after the last element.

  -or-

  The dictionary was modified after the was instantiated.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Object

  Gets the of the in the collection over which the current instance is positioned.

  A that contains the of the in the collection over which the current instance is positioned.

  This property is read-only.

  It is required that a call to leave the position of the enumerator unchanged: consecutive calls to this property are required to return the same until or is called.

  The is positioned before the first element of the dictionary or after the last element.

  -or-

  The dictionary was modified after the was created.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Collections.IEnumerator System.Runtime.InteropServices.ComVisible(true)